Skip to main content
GET
/
schedule
/
v1
/
employees-hours-bags
List employees hours bag aggregate balance
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/employees-hours-bags \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-{region}.sesametime.com/schedule/v1/employees-hours-bags"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-{region}.sesametime.com/schedule/v1/employees-hours-bags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "employee": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "from": "2020-01-01",
      "to": "2020-01-01",
      "overtimeBalanceSeconds": 5100,
      "paidSeconds": 900,
      "holidayCompensatedSeconds": 300,
      "totalPendingSeconds": 3900
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}
{
"message": "Validation failed",
"errors": [
{
"field": "questionId",
"message": "This value is not a valid UUID."
},
{
"field": "answer",
"message": "This field is required for text-based questions."
}
]
}
{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string<date>
required

Start date of the aggregation period (inclusive)

Example:

"2026-03-01"

to
string<date>
required

End date of the aggregation period (inclusive). Must be greater than or equal to 'from'.

Example:

"2026-03-31"

Filter employees by name or email (partial match)

status[in]
string

Filter by employee status

Example:

"active,inactive"

employeeIds[in]
string

Filter by a comma-separated list of employee IDs

Example:

"uuid1,uuid2"

limit
integer
default:20

Limit results by page

page
integer
default:1

Request a specific page

Response

Array of employee hours bag aggregates

data
object[]
meta
object